﻿/* FOODIFAIRY */

/*-------------------------/*
 ROOT
/*-------------------------*/
:root { --black: #242424; --firstFont: 'Assistant-Regular-2023'; --secondFont: 'Heebo'; --thirdFont: 'Assistant-Bold'; }

/*-------------------------/*
 TEXT
/*-------------------------*/
/*titles*/
h1, h2, .section-title h1, .section-title h2, .grid-text h2, .grid-rows .grid-row-text h2, #DynamicFormObject .dynamicFormObjectTitleAndText h3.dynamicFormObjectTitle, #headline h1, .blog.contentInnerPage #BlogView .blog-related-posts h2 { font-family: var(--thirdFont); }

@media(max-width: 1025px) {
    h1, h2, .section-title h1, .section-title h2, .grid-text h2, .grid-rows .grid-row-text h2, #DynamicFormObject .dynamicFormObjectTitleAndText h3.dynamicFormObjectTitle, #headline h1, .blog.contentInnerPage #BlogView .blog-related-posts h2 { }
}

/*sub-title*/
body[data-module="2"]:not(.press) #GridContent div:is(#pageview, #galleryview) #text1 h3, body[data-module="2"]:not(.press) #GridContent div:is(#pageview, #galleryview) #text2 h3, #text1 h3, #text2 h3 { font-size: clamp(24px,var(--fs-24),300px); margin-block: var(--gap-32); }

@media(max-width: 1025px) {
    body[data-module="2"]:not(.press) #GridContent div:is(#pageview, #galleryview) #text1 h3, body[data-module="2"]:not(.press) #GridContent div:is(#pageview, #galleryview) #text2 h3, #text1 h3, #text2 h3 { font-size: 22px; line-height: 1.2; }
}

/*bold-text*/
h3.menuModuleTextItemTitle, body[data-module="7"].layout-half #ContactModule .row > div .contactDetailsText1 ul li strong, span.faq-headline-title { font-size: clamp(16px,var(--fs-18),300px) !important; font-family: var(--thirdFont) }

@media(max-width: 1025px) {
    h3.menuModuleTextItemTitle, body[data-module="7"].layout-half #ContactModule .row > div .contactDetailsText1 ul li strong, span.faq-headline-title { font-size: 16px !important; }
}

/*running text*/
#text1 p, #text2 p, #text1 li, #text2 li, #text1 span, p, .grid-rows .grid-row-text p, .press #pageview h2, .press #ContentGridReadMoreModule #gridshort-view-media > div .grid-short-box > a .text-caption .grid-short-box-subtitle, .grid-box .grid-box-text .grid-box-subtitle, #SiteFooter .footer-text-divided > div ul li, .menuModuleTextItemDescription, .menuModuleTextItemPrice, #menuModuleNav a, body[data-module="7"].layout-half #ContactModule .row > div .contactDetailsText1 li:not(:has(strong)), #SiteGrid.layout-bottom #GridPromo #DynamicFormObject .dynamicFormObjectFields .top-form, body.branches #SiteGrid.lobby-grid #GridContent #LobbyModule #lobbyview h2 { font-size: clamp(14px,var(--fs-16),300px) !important; font-family: var(--firstFont); /* color: white; */ }

@media(max-width: 1025px) {
    #text1 p, #text2 p, #text1 li, #text2 li, #text1 span, p, .grid-rows .grid-row-text p, .press #pageview h2, .press #ContentGridReadMoreModule #gridshort-view-media > div .grid-short-box > a .text-caption .grid-short-box-subtitle, .grid-box .grid-box-text .grid-box-subtitle, #SiteFooter .footer-text-divided > div ul li, .menuModuleTextItemDescription, .menuModuleTextItemPrice, #menuModuleNav a, body[data-module="7"].layout-half #ContactModule .row > div .contactDetailsText1 li:not(:has(strong)), #SiteGrid.layout-bottom #GridPromo #DynamicFormObject .dynamicFormObjectFields .top-form, body.branches #SiteGrid.lobby-grid #GridContent #LobbyModule #lobbyview h2, body[data-module="4"].layout-half #GridContent #MenuModule #menuModuleNav a { }
}

/*buttons*/
.form-container-wide #DynamicFormObject .dynamicFormObjectSubmit input, #home-gallery .gallery-caption.caption-text .gallery-text a.gallery-text-btn.photoCaptionLink, body[data-module="4"] #GridContent #MenuModule .categories-strip ul.hidden-xs .strip-item.active, #SiteGrid.layout-bottom #GridPromo #DynamicFormObject .dynamicFormObjectFields fieldset .dynamicFormObjectSubmit input, .FormResultPage #GridContent #pageview #text1 a.FormResultPageButton { }

@media(max-width: 1025px) {
    .form-container-wide #DynamicFormObject .dynamicFormObjectSubmit input, #home-gallery .gallery-caption.caption-text .gallery-text a.gallery-text-btn.photoCaptionLink, body[data-module="4"] #GridContent #MenuModule .categories-strip ul.hidden-xs .strip-item.active, #SiteGrid.layout-bottom #GridPromo #DynamicFormObject .dynamicFormObjectFields fieldset .dynamicFormObjectSubmit input { }
}


/*-------------------------/*
 HEADER
/*-------------------------*/
#header, body[data-module="1"] #header:not(.bg), #header.bg { flex-direction: row-reverse; }
#SiteContainer header #header #header-center-kdm a { color: var(--black); font-size: clamp(17px, var(--gfs-20), 300px); }